> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# DataForSEO Labs Google 可用历史记录

> 调用此端点后，您将获得可用于设置 [按 C...统计的域名指标] 的 `first_date` 和 `second_date` 字段的日期列表……



## OpenAPI

````yaml openapi/zh/dataforseo.json GET /dataforseo/dataforseo_labs/google/available_history
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/dataforseo_labs/google/available_history:
    get:
      summary: DataForSEO Labs Google 可用历史记录
      description: >-
        调用此端点可获取可用于设置 [Domain Metrics by
        Categories](https://docs.dataforseo.com/v3/dataforseo_labs/google/domain_metrics_by_categories/live.md)
        端点中 `first_date` 和 `second_date` 字段的可用日期列表。
      operationId: get_dataforseo_dataforseo_labs_google_available_history
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码；您可以在此处查看完整的响应码列表。注意：我们强烈建议设计必要的系统来处理相关异常或错误情况
                  status_message:
                    type: string
                    description: 常规信息消息；可在此处查看常规信息消息的完整列表
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasks 数组中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks.id:
                    type: string
                    description: 任务标识符，系统中采用 UUID 格式的唯一任务标识符
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的任务状态码；取值范围为：10000-60000，完整的响应码列表可在此处查看
                  tasks.status_message:
                    type: string
                    description: 任务的信息性消息，你可以在此处查看通用信息性消息的完整列表
                  tasks.time:
                    type: string
                    description: 执行时间（秒）
                  tasks.cost:
                    type: number
                    description: 任务成本（美元）
                  tasks.result_count:
                    type: integer
                    description: 结果数组中的元素数量
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL 路径
                  tasks.data:
                    type: object
                    description: API 调用中指定的数据
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: 包含结果的对象数组
                  tasks.result.date:
                    type: string
                    description: >-
                      可用日期，表示可在 Domain Metrics by Categories
                      端点中设置的范围日期，例如：2022-05-16
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````